Debian DSA-5160-1:ntfs-3g - 安全更新

critical Nessus 插件 ID 162126

简介

远程 Debian 主机上缺少一个或多个与安全性相关的更新。

描述

远程 Debian 10/11 主机上安装的多个程序包受到 dsa-5160 公告中提及的多个漏洞影响。

- NTFS-3G 2021.8.22 及之前版本中的 ntfsck 存在涉及 buffer+512*3-2 的基于堆的缓冲区溢出漏洞。注意:ntfsck 在上游中已弃用,但会随附在部分 Linux 发行版本中。
(CVE-2021-46790)

- 在 NTFS-3G 2021.8.22 及之前的所有版本中,当使用 libfuse-lite 时,fuse_kern_mount 中的无效返回代码允许攻击者拦截 NTFS-3G 与内核之间的 libfuse-lite 协议流量。(CVE-2022-30783)

- 在 NTFS-3G 2021.8.22 及之前的所有版本中,攻击者可利用特别构建的 NTFS 映像在 ntfs_get_attribute_value 中造成堆耗尽。
(CVE-2022-30784)

- 在 NTFS-3G 2021.8.22 及之前的所有版本中,当使用 libfuse-lite 时,在 fuse_lib_opendir 中创建且稍后在 fuse_lib_readdir 中使用的文件句柄允许攻击者执行任意内存读取和写入操作。(CVE-2022-30785)

- 在 NTFS-3G 2021.8.22 及之前的所有版本中,攻击者可利用特别构建的 NTFS 映像在 ntfs_names_full_collate 中造成基于堆的缓冲区溢出。(CVE-2022-30786)

- 在 NTFS-3G 2021.8.22 及之前的所有版本中,当使用 libfuse-lite 时,fuse_lib_readdir 中的整数下溢漏洞允许攻击者执行任意内存读取操作。(CVE-2022-30787)

- 在 NTFS-3G 2021.8.22 及之前的所有版本中,攻击者可利用特别构建的 NTFS 映像在 ntfs_mft_rec_alloc 中造成基于堆的缓冲区溢出。(CVE-2022-30788)

- 在 NTFS-3G 2021.8.22 及之前的所有版本中,攻击者可利用特别构建的 NTFS 映像在 ntfs_check_log_client_array 中造成基于堆的缓冲区溢出。(CVE-2022-30789)

请注意,Nessus 尚未测试这些问题,而是只依靠应用程序自我报告的版本号来判断。

解决方案

升级 ntfs-3g 程序包。

对于稳定发行版本 (bullseye),这些问题已在版本 1 中修复

另见

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1011770

https://security-tracker.debian.org/tracker/source-package/ntfs-3g

https://www.debian.org/security/2022/dsa-5160

https://security-tracker.debian.org/tracker/CVE-2021-46790

https://security-tracker.debian.org/tracker/CVE-2022-30783

https://security-tracker.debian.org/tracker/CVE-2022-30784

https://security-tracker.debian.org/tracker/CVE-2022-30785

https://security-tracker.debian.org/tracker/CVE-2022-30786

https://security-tracker.debian.org/tracker/CVE-2022-30787

https://security-tracker.debian.org/tracker/CVE-2022-30788

https://security-tracker.debian.org/tracker/CVE-2022-30789

https://packages.debian.org/source/buster/ntfs-3g

https://packages.debian.org/source/bullseye/ntfs-3g

插件详情

严重性: Critical

ID: 162126

文件名: debian_DSA-5160.nasl

版本: 1.2

类型: local

代理: unix

发布时间: 2022/6/11

最近更新时间: 2022/6/11

支持的传感器: Frictionless Assessment Agent, Nessus Agent

风险信息

VPR

风险因素: Medium

分数: 6.7

CVSS v2

风险因素: High

基本分数: 7.5

时间分数: 5.5

矢量: AV:N/AC:L/Au:N/C:P/I:P/A:P

时间矢量: E:U/RL:OF/RC:C

CVSS 分数来源: CVE-2021-46790

CVSS v3

风险因素: Critical

基本分数: 9.8

时间分数: 8.5

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:debian:debian_linux:libntfs-3g883, p-cpe:/a:debian:debian_linux:ntfs-3g, p-cpe:/a:debian:debian_linux:ntfs-3g-dev, p-cpe:/a:debian:debian_linux:ntfs-3g-udeb, cpe:/o:debian:debian_linux:10.0, cpe:/o:debian:debian_linux:11.0

必需的 KB 项: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

易利用性: No known exploits are available

补丁发布日期: 2022/6/10

漏洞发布日期: 2022/5/2

参考资料信息

CVE: CVE-2021-46790, CVE-2022-30783, CVE-2022-30784, CVE-2022-30785, CVE-2022-30786, CVE-2022-30787, CVE-2022-30788, CVE-2022-30789